Subject: Re: bug#26534: [PATCH] gnu: Update glib to 2.52.1.

From: Roel Janssen <[email-masked]>
Date: Fri, 28 Apr 2017 12:36:47 +0200

Kei Kebreau writes:

> Marius Bakke <[email-masked]> writes:
>
>> Kei Kebreau <[email-masked]> writes:
>>
>>>>> Hi Roel,
>>>>>
>>>>> I'm looking at updating GNOME packages as well. When I tried building
>>>>> the most recent version of Eye of GNOME, glib gave me two test
>>>>> failures. Do you think these failures could be a result of glib
>>>>> dependencies needing to be updated, or is this fixable on its own?
>>>>>
>>>>> Thanks in advance,
>>>>> Kei
>>>>
>>>> Dear Kei,
>>>>
>>>> I think I have found what fixes the two failing tests.. I run the tests
>>>> in parallel.  When I disabled running them in parallel, two tests fail
>>>> related to 'gdbus'.
>>>>
>>>> Kind regards,
>>>> Roel Janssen
>>>
>>> I have good news! Your original patch works when I upgrade dbus to its
>>> latest version, 1.10.18. So now we just need to update dbus and get the
>>> update merged into gnome-updates.
>>
>> If "glib" depends on a newer "dbus", I think it should be added in
>> 'gnome-updates' as well. Otherwise it will have to wait until the next
>> 'core-updates' cycle slated for end of next month.
>>
>> Thanks for working on this! Let's try to start building this branch on
>> Hydra next week, how does that sound?
>
> Provided that the rest of the package upgrades go smoothly, this is a
> good idea. If someone could review the dbus upgrade patch I submitted
> to the guix-patches mailing list, I can push it to gnome-updates.

I cannot seem to find the patch message you are referring to, or is it
from 10 Oct 2016, titled "Dbus update 1.10.12 for core-updates"?

Kind regards,
Roel Janssen